/* Custom CSS */

:root {
    --gap-default: 20px;
    /* Default gap value */

    --product-subtitle-color: var(--palette-1);
}

/* Header Adjustments */
header#header {
    height: auto !important;
}

header .elementor-widget-ava-site-logo {
    max-width: calc(100vw - 122px);
}

/* Header Menu Navigation Adjustments */
.menu-item.active {
    font-weight: bold;
}

/* Hero Section Adjustments */
.hero-section .page-title-wrapper {
    width: 100%;
}

/* Footer Adjustments */
.footer__custom-links li {
    color: #969696;
    font-size: 14px;
}

.footer__custom-links a {
    color: inherit;
    text-decoration: none;
}

.footer__custom-links a:hover {
    color: #fff;
}

#footer-index-list {
    flex-direction: column;
}

#footer-index-list h4 {
    font-size: 20px;
    color: #fff;
    margin-bottom: 10px;
}

@media screen and (min-width: 768px) {
    #footer-index-list h4 {
        margin-bottom: 20px;
    }
}

@media screen and (min-width: 992px) {
    #footer-index-list h4 {
        margin-bottom: 28px;
    }
}

.footer__custom-links li:not(:last-child):after {
    content: '·';
    color: inherit;
    margin-left: 10px;
}

.footer__custom-links {
    display: flex;
    flex-wrap: wrap;
    gap: 0px 10px;
}

/* Flexbox Utilities */
.flex__row .elementor-widget-wrap {
    display: flex;
    flex-direction: row;
    gap: var(--gap-default);
}

.flex__column .elementor-row {
    display: flex;
    flex-direction: column;
}

.flex__row .elementor-widget-wrap>.elementor-element,
.flex__column .elementor-row>.elementor-element {
    width: auto;
}

.flex__row .elementor-widget:not(:last-child) {
    margin-bottom: 0;
}

/* Menu Adjustments */
#_desktop_megamenu .avaorg-menu-horizontal .menu-content {
    gap: 20px;
    display: flex;
    flex-direction: row;
}

#header .main-menu .avaorg-menu-horizontal .menu-content .menu-item>a::after {
    content: none;
}

@media screen and (max-width: 991px) {
    .elementor-element:has(> * >#_desktop_megamenu) {
        display: none;
    }
}

@media screen and (min-width: 992px) {
    .elementor-element:has(> * >.menu-mobile-content) {
        display: none;
    }
}

/* Product page template */
.h1.product-title:has(+.product__subtitle) {
    margin-bottom: .25rem;
}

.product__subtitle {
    font-style: italic;
    font-size: 1rem;
}

.product__author {
    font-style: italic;
    font-size: .875rem;
    font-weight: bold;
    color: #5a8eb7;
}

.product-description>p:last-child {
    margin-bottom: 1rem !important;
}

.product-description>p:not(:first-child) {
    margin-top: 0.12rem !important;
}

.product-description * {
    font-family: inherit !important;
    background: transparent !important;
    font-size: 1rem !important;
}